Subject: bug#44525: closed ()

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 08 Nov 2020 23:47:02 +0000

Your bug report

#44525: Derivation of computed-file has no outputs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44525: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44525
GNU Bug Tracking System
Contact [email-masked] with problems

From: Stefan <[email-masked]>
To: [email-masked]
Date: Mon, 9 Nov 2020 00:45:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Subject: Derivation of computed-file has no outputs
From: Stefan <[email-masked]>
To: [email-masked]
Date: Sun, 8 Nov 2020 21:19:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I try to use a computed-file as an input to a bootloader profile hook function. Using guix system I get this error message:

guix system: error: reference to invalid output 'out' of derivation '/gnu/store/946szbrwn3ja74yjnibbhjisjflvsk73-test.txt.drv'

This is the simple definition of the computed-file:

(computed-file "test.txt" (with-imported-modules '((guix utils)) #~(%current-system)))

And this is the content of the generated derivation of it:

Derive([],[("/gnu/store/0hcx4wgpgf1nn4gl3lhnd055vj2y28cj-guile-3.0.2.drv",["out"]),("/gnu/store/2ss1lzy0x0wwayy5n5mvzmsv77dnni39-module-import-compiled.drv",["out"])],["/gnu/store/9lw2pp0hjcjgmq5hx7w6aq92699r6pim-module-import","/gnu/store/plgbvrkkq1ghvph24kf0bdgb4w8glgqb-test.txt-builder"],"aarch64-linux","/gnu/store/x3gq648qnfnla7nppyfjvj62s2i8y7rl-guile-3.0.2/bin/guile",["--no-auto-compile","-L","/gnu/store/9lw2pp0hjcjgmq5hx7w6aq92699r6pim-module-import","-C","/gnu/store/3v6bh2hn62i4qp674d1hqg4ca7hpys3a-module-import-compiled","/gnu/store/plgbvrkkq1ghvph24kf0bdgb4w8glgqb-test.txt-builder"],[("preferLocalBuild","1")])

I think the problem is visible already with this call:

scheme@(guile-user)> (derivation-path->output-paths "/gnu/store/946szbrwn3ja74yjnibbhjisjflvsk73-test.txt.drv")
$5 = ()

Bye

Stefan